# FastAPI Demo Application

Dieses Projekt ist eine Demoanwendung mit FastAPI, die einen GET- und einen POST-Endpunkt bereitstellt. Die API-Dokumentation ist automatisch über SwaggerUI verfügbar.

## Endpunkte
- **GET /items/{item_id}**: Gibt ein Item mit der angegebenen ID zurück.
- **POST /items/**: Erstellt ein neues Item (Name erforderlich).

## Entwicklung & Tests
- Abhängigkeiten werden mit [Poetry](https://python-poetry.org/) verwaltet.
- Starte den Server mit:
  ```bash
  poetry run uvicorn app.main:app --reload
  ```
- Tests ausführen mit:
  ```bash
  poetry run pytest
  ```

## API Dokumentation
- SwaggerUI: [http://localhost:8000/docs](http://localhost:8000/docs)
- Redoc: [http://localhost:8000/redoc](http://localhost:8000/redoc)
